
QGIS Application - Bug report #3368

QGIS 1.6.0 won't run: QHashData in QtCore4.dll on Windows machine

2010-12-23 06:25 AM - mly -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13428

Description

I uninstalled the old versions of QGIS (v1.0?) & GRASS from a Windows Vista machine.  I downloaded the QGIS Windows Standalone

Installer from www.qgis.org.  I installed QGIS-OSGeo4W-1.6.0-14615-Setup-2.exe as administrator.  When I tried to run for the first time I

get the error message shown below (?nextNode@QHashData@SAPAUNode@1@PAU21@Z could not be located in the dynamic link

library [[QtCore]]4.dll).  I uninstalled everything and tried again with the same result.  I searched the machine and found 6 different copies

of [[QtCore]]4.dll (including printer and Adobe programs).  Ticket #2965 doesn't seem very helpful.  How do I get QGIS to run?

History

#1 - 2010-12-23 07:02 AM - Jürgen Fischer

Replying to mly:

I searched the machine and found 6 different copies of [[QtCore]]4.dll (including printer and Adobe programs).  Ticket #2965 doesn't seem very

helpful.  How do I get QGIS to run?

#2 - 2010-12-23 07:55 AM - mly -

Replying to [comment:1 jef]:

	

Replying to mly:

	

I searched the machine and found 6 different copies of [[QtCore]]4.dll (including printer and Adobe programs).  Ticket #2965 doesn't seem very

helpful.  How do I get QGIS to run?
Yes, one copy was in c:\\windows\\system32.  I renamed it, rebooted, and again tried running QGIS.  This time a different error message

appeared: "The procedure entry point _Z10qAllocMoreii could not be located in the dynamic link library [[QtCore]]4.dll"

#3 - 2010-12-26 07:23 AM - Jürgen Fischer

#4 - 2011-03-02 06:54 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

I think this is a local problem only. Please clean up your system and report back, reopening if necessary.
